# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/pkt-cash/pktd
%global goipath         github.com/pkt-cash/pktd
Version:                1.2.0
%global tag             pktd-v1.2.0

%gometa

%global common_description %{expand:
The PKT full node and wallet.}

%global golicenses      LICENSE LICENSE-goleveldb LICENSE-btcutil
%global godocs          docs README.md README-blockchain.md README-btcec.md \\\
                        README-btcjson.md README-btcutil.md README-chaincfg.md \\\
                        README-connmgr.md README-database.md \\\
                        README-goleveldb.md README-integration.md \\\
                        README-mempool.md README-mining.md README-netsync.md \\\
                        README-neutrino.md README-peer.md README-pktwallet.md \\\
                        README-rpcclient.md README-txscript.md README-wire.md

Name:           pktd
Release:        1%{?dist}
Summary:        The PKT full node and wallet

# Upstream license specification: BSD-2-Clause and ISC
License:        BSD and ISC
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aead/chacha20)
BuildRequires:  golang(github.com/aead/chacha20/chacha)
BuildRequires:  golang(github.com/aead/siphash)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/dchest/blake2b)
BuildRequires:  golang(github.com/decred/go-socks/socks)
BuildRequires:  golang(github.com/emirpasic/gods/trees/redblacktree)
BuildRequires:  golang(github.com/emirpasic/gods/utils)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/gorilla/websocket)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/kkdai/bstream)
BuildRequires:  golang(github.com/lightningnetwork/lnd/queue)
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/ginkgo/config)
BuildRequires:  golang(github.com/onsi/gomega)
BuildRequires:  golang(github.com/sethgrid/pester)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/comparer)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/errors)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/filter)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/iterator)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/opt)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/util)
BuildRequires:  golang(go.etcd.io/bbolt)
BuildRequires:  golang(golang.org/x/crypto/argon2)
BuildRequires:  golang(golang.org/x/crypto/curve25519)
BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/crypto/nacl/secretbox)
BuildRequires:  golang(golang.org/x/crypto/poly1305)
BuildRequires:  golang(golang.org/x/crypto/ripemd160)
BuildRequires:  golang(golang.org/x/crypto/scrypt)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/credentials)

%description
%{common_description}

%gopkg

%prep
%goprep
mv blockchain/README.md README-blockchain.md
mv btcec/README.md README-btcec.md
mv btcjson/README.md README-btcjson.md
mv btcutil/README.md README-btcutil.md
mv btcutil/LICENSE LICENSE-btcutil
mv chaincfg/README.md README-chaincfg.md
mv connmgr/README.md README-connmgr.md
mv database/README.md README-database.md
mv goleveldb/README.md README-goleveldb.md
mv goleveldb/LICENSE LICENSE-goleveldb
mv integration/README.md README-integration.md
mv mempool/README.md README-mempool.md
mv mining/README.md README-mining.md
mv netsync/README.md README-netsync.md
mv neutrino/README.md README-neutrino.md
mv peer/README.md README-peer.md
mv pktwallet/README.md README-pktwallet.md
mv rpcclient/README.md README-rpcclient.md
mv txscript/README.md README-txscript.md
mv wire/README.md README-wire.md

%build
export LDFLAGS="-X github.com/pkt-cash/pktd/pktconfig/version.appBuild=%{version} "
for cmd in cmd/compact2big cmd/gencerts cmd/tar2work; do
  %gobuild -o %{gobuilddir}/bin/pktctl %{goipath}/cmd/btcctl
done
%gobuild -o %{gobuilddir}/bin/pktctl %{goipath}/cmd/btcctl
%gobuild -o %{gobuilddir}/bin/pktd %{goipath}
for cmd in pktwallet btcec; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE LICENSE-goleveldb LICENSE-btcutil
%doc docs README.md README-blockchain.md README-btcec.md
%doc  README-btcjson.md README-btcutil.md README-chaincfg.md
%doc README-connmgr.md README-database.md
%doc README-goleveldb.md README-integration.md
%doc README-mempool.md README-mining.md README-netsync.md
%doc README-neutrino.md README-peer.md README-pktwallet.md
%doc README-rpcclient.md README-txscript.md README-wire.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Feb 03 19:39:42 +03 2021 Yury Kashcheyeu <kashcheyeu@tiksi.ru> - 1.2.0-1
- Initial package
